List Schemas2

List Schemas2

List schemas. The path, schemaType parameter can be used to get a schema by it's path, schema type

Request
URI
GET
https://{api_host}/tca/swfe/workflows/api/v1/orgs/{orgId}/schemas
COPY
Path Parameters
string
orgId
Required

orgId

Query Parameters
string
nextpage_opaque_marker
Optional

nextpage_opaque_marker

string
path
Optional

path

string
prebuilt
Optional

prebuilt

string
schemaType
Optional

schemaType


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns WorkflowapiSchemaListResponse of type(s) application/json
{
    "schemas": [
        {
            "createdBy": "string",
            "description": "string",
            "id": 0,
            "organizationId": "string",
            "path": "string",
            "resourceVersion": 0,
            "schema": "string",
            "schemaType": "string",
            "updatedBy": "string"
        }
    ]
}
schemas
Optional

schemas

Response Headers

integer
Total-Row-Count

undefined


400

Bad Request

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.


403

Forbidden

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.


500

Internal Server Error

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.